summaryrefslogtreecommitdiffstats
path: root/config.tests/unix
diff options
context:
space:
mode:
Diffstat (limited to 'config.tests/unix')
-rwxr-xr-xconfig.tests/unix/arch.test77
-rwxr-xr-xconfig.tests/unix/bsymbolic_functions.test31
-rwxr-xr-xconfig.tests/unix/compile.test109
-rwxr-xr-xconfig.tests/unix/fvisibility.test74
-rw-r--r--config.tests/unix/javascriptcore-jit/hwcap_test.cpp44
-rw-r--r--config.tests/unix/javascriptcore-jit/javascriptcore-jit.pro2
-rw-r--r--config.tests/unix/openvg/openvg.pro19
-rwxr-xr-xconfig.tests/unix/precomp.test54
-rw-r--r--config.tests/unix/reduce_exports/fvisibility.c (renamed from config.tests/unix/openvg/openvg.cpp)29
-rw-r--r--config.tests/unix/reduce_exports/reduce_exports.pro5
-rw-r--r--config.tests/unix/reduce_relocs/bsymbolic_functions.c (renamed from config.tests/unix/shivavg/shivavg.cpp)17
-rw-r--r--config.tests/unix/reduce_relocs/reduce_relocs.pro5
-rw-r--r--config.tests/unix/sctp/sctp.cpp (renamed from config.tests/unix/stdint/main.cpp)23
-rw-r--r--config.tests/unix/sctp/sctp.pro4
-rw-r--r--config.tests/unix/shivavg/shivavg.pro11
-rw-r--r--config.tests/unix/stdint/stdint.pro3
16 files changed, 52 insertions, 455 deletions
diff --git a/config.tests/unix/arch.test b/config.tests/unix/arch.test
deleted file mode 100755
index cfb47def4f..0000000000
--- a/config.tests/unix/arch.test
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/bin/sh
-
-QMKSPEC=$1
-VERBOSE=$2
-SRCDIR=$3
-OUTDIR=$4
-RESULTFILE=$5
-TARGET=$6
-QMAKE=$7
-QTCONF=$8
-shift 8
-
-if [ "$TARGET" = "host" ]; then
- VARPREFIX="CFG_HOST"
- PROSUFFIX="_host"
-else
- VARPREFIX="CFG"
- PROSUFFIX=""
-fi
-
-LFLAGS="$SYSROOT_FLAG"
-CXXFLAGS="$SYSROOT_FLAG"
-
-while [ "$#" -gt 0 ]; do
- PARAM=$1
- case $PARAM in
- -L*|-l*)
- LFLAGS="$LFLAGS \"$PARAM\""
- ;;
- -I*)
- INC=`echo $PARAM | sed -e 's/^-I//'`
- INCLUDEPATH="$INCLUDEPATH \"$INC\""
- ;;
- -D*)
- CXXFLAGS="$CXXFLAGS \"$PARAM\""
- ;;
- *) ;;
- esac
- shift
-done
-
-# debuggery
-[ "$VERBOSE" = "yes" ] && echo "Determining architecture... ($*)"
-
-# build a test program but don't run it
-test -d "$OUTDIR/config.tests/arch" || mkdir -p "$OUTDIR/config.tests/arch"
-cd "$OUTDIR/config.tests/arch"
-[ -f Makefile ] && $MAKE distclean >/dev/null 2>&1
-OUTDIR=$OUTDIR "$QMAKE" -qtconf "$QTCONF" -nocache -spec "$QMKSPEC" "LIBS+=$LFLAGS" "QMAKE_CXXFLAGS+=$CXXFLAGS" "INCLUDEPATH+=$INCLUDEPATH" "CONFIG-=app_bundle" "$SRCDIR/config.tests/arch/arch$PROSUFFIX.pro" >/dev/null 2>&1 || echo "qmake is broken" >&2
-
-
-ARCH=""
-[ "$VERBOSE" = "yes" ] && $MAKE || $MAKE >/dev/null 2>&1
-
-if [ -f ./arch.exe ]; then
- binary=./arch.exe
-elif [ -f ./arch ]; then
- binary=./arch
-elif [ -f ./libarch.so ]; then
- binary=./libarch.so
-else
- [ "$VERBOSE" = "yes" ] && echo "Unable to determine architecture!"
- exit 2
-fi
-
-if strings - $binary 2>/dev/null | \
- awk -F: '/\=\=Qt\=magic\=Qt\=\= Architecture/ { print "'$VARPREFIX'_ARCH=\"" $2 "\"" }
- /\=\=Qt\=magic\=Qt\=\= Sub-architecture/ { print "'$VARPREFIX'_CPUFEATURES=\"" $2 "\"" }' > "$RESULTFILE"
-then
- [ "$VERBOSE" = "yes" ] && echo " Found architecture in binary" && \
- cat "$RESULTFILE"
-else
- [ "$VERBOSE" = "yes" ] && echo "Unable to determine architecture!"
- exit 2
-fi
-
-$MAKE distclean >/dev/null 2>&1
diff --git a/config.tests/unix/bsymbolic_functions.test b/config.tests/unix/bsymbolic_functions.test
deleted file mode 100755
index 4d66ee6de0..0000000000
--- a/config.tests/unix/bsymbolic_functions.test
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/sh
-
-BSYMBOLIC_FUNCTIONS_SUPPORT=no
-COMPILER=$1
-VERBOSE=$2
-
-
-cat >>bsymbolic_functions.c << EOF
-#if !(defined(__i386) || defined(__i386__) || defined(__x86_64) || defined(__x86_64__) || defined(__amd64))
-#error "Symbolic function binding on this architecture may be broken, disabling it (see QTBUG-36129)."
-#endif
-
-int main() { return 0; }
-EOF
-
-if [ "$VERBOSE" = "yes" ] ; then
- echo $COMPILER $SYSROOT_FLAG -o libtest.so -shared -Wl,-Bsymbolic-functions -fPIC bsymbolic_functions.c
- $COMPILER $SYSROOT_FLAG -o libtest.so -shared -Wl,-Bsymbolic-functions -fPIC bsymbolic_functions.c && BSYMBOLIC_FUNCTIONS_SUPPORT=yes
-else
- $COMPILER $SYSROOT_FLAG -o libtest.so -shared -Wl,-Bsymbolic-functions -fPIC bsymbolic_functions.c >/dev/null 2>&1 && BSYMBOLIC_FUNCTIONS_SUPPORT=yes
-fi
-rm -f bsymbolic_functions.c libtest.so
-
-# done
-if [ "$BSYMBOLIC_FUNCTIONS_SUPPORT" != "yes" ]; then
- [ "$VERBOSE" = "yes" ] && echo "Symbolic function binding disabled."
- exit 0
-else
- [ "$VERBOSE" = "yes" ] && echo "Symbolic function binding enabled."
- exit 1
-fi
diff --git a/config.tests/unix/compile.test b/config.tests/unix/compile.test
deleted file mode 100755
index f5db1847b8..0000000000
--- a/config.tests/unix/compile.test
+++ /dev/null
@@ -1,109 +0,0 @@
-#!/bin/sh
-
-SUCCESS=no
-QMKSPEC=$1
-XPLATFORM=`basename "$1"`
-QMAKE_CONFIG=$2
-VERBOSE=$3
-SRCDIR=$4
-OUTDIR=$5
-TEST=$6
-EXE=`basename "$6"`
-DESCRIPTION=$7
-QMAKE=$8
-QTCONF=$9
-shift 9
-LFLAGS="$SYSROOT_FLAG"
-INCLUDEPATH=""
-CFLAGS="$SYSROOT_FLAG"
-CXXFLAGS="$SYSROOT_FLAG"
-MAC_ARCH_CXXFLAGS=""
-MAC_ARCH_LFLAGS=""
-QMAKE_ARGS=
-while [ "$#" -gt 0 ]; do
- PARAM=$1
- case $PARAM in
- -config)
- QMAKE_CONFIG="$QMAKE_CONFIG $2"
- shift
- ;;
- -framework)
- LFLAGS="$LFLAGS -framework \"$2\""
- shift
- ;;
- -arch)
- MAC_ARCH_CFLAGS="$MAC_ARCH_CFLAGS -arch $2"
- MAC_ARCH_CXXFLAGS="$MAC_ARCH_CXXFLAGS -arch $2"
- MAC_ARCH_LFLAGS="$MAC_ARCH_LFLAGS -arch $2"
- shift
- ;;
- -F*|-m*|-x*)
- LFLAGS="$LFLAGS \"$PARAM\""
- CFLAGS="$CFLAGS \"$PARAM\""
- CXXFLAGS="$CXXFLAGS \"$PARAM\""
- ;;
- -L*|-l*|-pthread)
- LFLAGS="$LFLAGS \"$PARAM\""
- ;;
- -I*)
- INC=`echo $PARAM | sed -e 's/^-I//'`
- INCLUDEPATH="$INCLUDEPATH \"$INC\""
- ;;
- -f*|-D*)
- CFLAGS="$CFLAGS \"$PARAM\""
- CXXFLAGS="$CXXFLAGS \"$PARAM\""
- ;;
- -Qoption)
- # Two-argument form for the Sun Compiler
- CFLAGS="$CFLAGS $PARAM \"$2\""
- CXXFLAGS="$CXXFLAGS $PARAM \"$2\""
- shift
- ;;
- *)
- QMAKE_ARGS="$QMAKE_ARGS $PARAM"
- ;;
- esac
- shift
-done
-
-test -d "$OUTDIR/$TEST" || mkdir -p "$OUTDIR/$TEST"
-
-cd "$OUTDIR/$TEST"
-
-test -r Makefile && $MAKE distclean >/dev/null 2>&1
-# Make sure output from possible previous tests is gone
-rm -f "$EXE" "${EXE}.exe"
-
-set -- \
- "$QMAKE" \
- -qtconf "$QTCONF" \
- -nocache \
- -spec "$QMKSPEC" \
- "CONFIG+=$QMAKE_CONFIG" \
- "CONFIG+=android_app" \
- "CONFIG-=debug_and_release app_bundle lib_bundle" \
- "LIBS+=$LFLAGS" \
- "LIBS+=$MAC_ARCH_LFLAGS" \
- "INCLUDEPATH*=$INCLUDEPATH" \
- "QMAKE_CFLAGS*=$CFLAGS" \
- "QMAKE_CFLAGS+=$MAC_ARCH_CFLAGS" \
- "QMAKE_CXXFLAGS*=$CXXFLAGS" \
- "QMAKE_CXXFLAGS+=$MAC_ARCH_CXXFLAGS" \
- $QMAKE_ARGS \
- "$SRCDIR/$TEST/$EXE.pro" \
- -o "$OUTDIR/$TEST/Makefile"
-if [ "$VERBOSE" = "yes" ]; then
- echo
- OUTDIR=$OUTDIR "$@" && $MAKE && SUCCESS=yes
-else
- OUTDIR=$OUTDIR "$@" >/dev/null 2>&1 && $MAKE >/dev/null 2>&1 && SUCCESS=yes
-fi
-
-# done
-if [ "$SUCCESS" != "yes" ]; then
- [ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION disabled." || echo " no."
- exit 1
-else
- [ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION enabled." || echo " yes."
- exit 0
-fi
diff --git a/config.tests/unix/fvisibility.test b/config.tests/unix/fvisibility.test
deleted file mode 100755
index 621af95e63..0000000000
--- a/config.tests/unix/fvisibility.test
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/sh
-
-FVISIBILITY_SUPPORT=no
-COMPILER=$1
-VERBOSE=$2
-
-CMDLINE=
-
-
-RunCompileTest() {
- cat >>fvisibility.c << EOF
-#if defined(__GNUC__)
-# if (__GNUC__ < 4)
-# error "GCC3 with backported visibility patch is known to miscompile Qt"
-# endif
-__attribute((visibility("default"))) void blah();
-#elif defined(__SUNPRO_CC)
-# if (__SUNPRO_CC < 0x0550)
-# error "SunStudio 8 or later is required for ELF visibility"
-# endif
-__global void blah();
-#else
-# error "GCC4+ or SunStudio 8+ are required to support ELF visibility"
-#endif
-EOF
-
- if [ "$VERBOSE" = "yes" ] ; then
- echo $COMPILER -c $CMDLINE fvisibility.c
- $COMPILER -c $CMDLINE fvisibility.c && FVISIBILITY_SUPPORT=yes
- else
- $COMPILER -c $CMDLINE fvisibility.c >/dev/null 2>&1 && FVISIBILITY_SUPPORT=yes
- fi
- rm -f fvisibility.c fvisibility.o
-}
-
-
-case "$COMPILER" in
-*g++*|*c++*|*qcc*)
- CMDLINE="-fvisibility=hidden"
- RunCompileTest
- ;;
-
-aCC*)
- ;;
-
-icpc)
- ICPC_VERSION=`icpc -dumpversion`
- case "$ICPC_VERSION" in
- 8.*|9.*|10.0)
- # 8.x, 9.x, and 10.0 don't support symbol visibility
- ;;
- *)
- # the compile test works for the intel compiler because it mimics gcc's behavior
- CMDLINE="-fvisibility=hidden"
- RunCompileTest
- ;;
- esac
- ;;
-
-CC)
- # This should be SunStudio. If not, it'll get caught.
- CMDLINE="-xldscope=hidden"
- RunCompileTest
- ;;
-esac
-
-# done
-if [ "$FVISIBILITY_SUPPORT" != "yes" ]; then
- [ "$VERBOSE" = "yes" ] && echo "Symbol visibility control disabled."
- exit 0
-else
- [ "$VERBOSE" = "yes" ] && echo "Symbol visibility control enabled."
- exit 1
-fi
diff --git a/config.tests/unix/javascriptcore-jit/hwcap_test.cpp b/config.tests/unix/javascriptcore-jit/hwcap_test.cpp
deleted file mode 100644
index 560476963a..0000000000
--- a/config.tests/unix/javascriptcore-jit/hwcap_test.cpp
+++ /dev/null
@@ -1,44 +0,0 @@
-/****************************************************************************
-**
-** Copyright (C) 2016 The Qt Company Ltd.
-** Contact: https://www.qt.io/licensing/
-**
-** This file is part of the documentation of the Qt Toolkit.
-**
-** $QT_BEGIN_LICENSE:LGPL$
-** Commercial License Usage
-** Licensees holding valid commercial Qt licenses may use this file in
-** accordance with the commercial license agreement provided with the
-** Software or, alternatively, in accordance with the terms contained in
-** a written agreement between you and The Qt Company. For licensing terms
-** and conditions see https://www.qt.io/terms-conditions. For further
-** information use the contact form at https://www.qt.io/contact-us.
-**
-** GNU Lesser General Public License Usage
-** Alternatively, this file may be used under the terms of the GNU Lesser
-** General Public License version 3 as published by the Free Software
-** Foundation and appearing in the file LICENSE.LGPL3 included in the
-** packaging of this file. Please review the following information to
-** ensure the GNU Lesser General Public License version 3 requirements
-** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-**
-** GNU General Public License Usage
-** Alternatively, this file may be used under the terms of the GNU
-** General Public License version 2.0 or (at your option) the GNU General
-** Public license version 3 or any later version approved by the KDE Free
-** Qt Foundation. The licenses are as published by the Free Software
-** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-** included in the packaging of this file. Please review the following
-** information to ensure the GNU General Public License requirements will
-** be met: https://www.gnu.org/licenses/gpl-2.0.html and
-** https://www.gnu.org/licenses/gpl-3.0.html.
-**
-** $QT_END_LICENSE$
-**
-****************************************************************************/
-#include <asm/hwcap.h>
-
-int main (int argc, char **argv)
-{
- return 0;
-}
diff --git a/config.tests/unix/javascriptcore-jit/javascriptcore-jit.pro b/config.tests/unix/javascriptcore-jit/javascriptcore-jit.pro
deleted file mode 100644
index 0d5a20d7f3..0000000000
--- a/config.tests/unix/javascriptcore-jit/javascriptcore-jit.pro
+++ /dev/null
@@ -1,2 +0,0 @@
-SOURCES = hwcap_test.cpp
-CONFIG -= qt dylib
diff --git a/config.tests/unix/openvg/openvg.pro b/config.tests/unix/openvg/openvg.pro
deleted file mode 100644
index 4bbde99230..0000000000
--- a/config.tests/unix/openvg/openvg.pro
+++ /dev/null
@@ -1,19 +0,0 @@
-SOURCES += openvg.cpp
-
-!isEmpty(QMAKE_INCDIR_OPENVG): INCLUDEPATH += $$QMAKE_INCDIR_OPENVG
-!isEmpty(QMAKE_LIBDIR_OPENVG): LIBS += -L$$QMAKE_LIBDIR_OPENVG
-!isEmpty(QMAKE_LIBS_OPENVG): LIBS += $$QMAKE_LIBS_OPENVG
-
-# Some OpenVG engines (e.g. ShivaVG) are implemented on top of OpenGL.
-# Add the extra includes and libraries for that case.
-openvg_on_opengl {
- !isEmpty(QMAKE_INCDIR_OPENGL): INCLUDEPATH += $$QMAKE_INCDIR_OPENGL
- !isEmpty(QMAKE_LIBDIR_OPENGL): LIBS += -L$$QMAKE_LIBDIR_OPENGL
- !isEmpty(QMAKE_LIBS_OPENGL): LIBS += $$QMAKE_LIBS_OPENGL
-}
-
-lower_case_includes {
- DEFINES += QT_LOWER_CASE_VG_INCLUDES
-}
-
-CONFIG -= qt
diff --git a/config.tests/unix/precomp.test b/config.tests/unix/precomp.test
deleted file mode 100755
index 0b8377b21a..0000000000
--- a/config.tests/unix/precomp.test
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-
-PRECOMP_SUPPORT=no
-COMPILER=$1
-VERBOSE=$2
-
-case "$COMPILER" in
-*icpc)
- cat >header.h <<EOF
-#define HEADER_H
-
-EOF
- >header.cpp
- cat >source.cpp <<EOF
-#ifndef HEADER_H
-#error no go
-#endif
-
-EOF
-
- rm -f header.pchi
- $COMPILER -pch-create header.pchi -include header.h -c header.cpp -o header.o >/dev/null 2>&1 \
- && $COMPILER -pch-use header.pchi -include header.h -c source.cpp -o source.o >/dev/null 2>&1 \
- && PRECOMP_SUPPORT=yes
-
- rm -f header.h header.cpp source.cpp
- rm -f header.pchi header.o source.o
- ;;
-
-*g++*|c++|*qcc*)
- case `"$COMPILER" -dumpversion 2>/dev/null` in
- 3.*)
- ;;
- *)
-
- >precomp_header.h
- if $COMPILER -x c-header precomp_header.h >/dev/null 2>&1; then
- $COMPILER -x c++-header precomp_header.h && PRECOMP_SUPPORT=yes
- fi
- rm -f precomp_header.h precomp_header.h.gch
- ;;
- esac
- ;;
-esac
-
-
-# done
-if [ "$PRECOMP_SUPPORT" != "yes" ]; then
- [ "$VERBOSE" = "yes" ] && echo "Precompiled-headers support disabled."
- exit 0
-else
- [ "$VERBOSE" = "yes" ] && echo "Precompiled-headers support enabled."
- exit 1
-fi
diff --git a/config.tests/unix/openvg/openvg.cpp b/config.tests/unix/reduce_exports/fvisibility.c
index a322db4824..71af9d99a3 100644
--- a/config.tests/unix/openvg/openvg.cpp
+++ b/config.tests/unix/reduce_exports/fvisibility.c
@@ -1,9 +1,9 @@
/****************************************************************************
**
-** Copyright (C) 2016 The Qt Company Ltd.
+** Copyright (C) 2016 The Qt Company.
** Contact: https://www.qt.io/licensing/
**
-** This file is part of the documentation of the Qt Toolkit.
+** This file is part of the configuration of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
@@ -37,19 +37,16 @@
**
****************************************************************************/
-// There is some variation in OpenVG engines as to what case
-// the VG includes use. The Khronos reference implementation
-// for OpenVG 1.1 uses upper case, so we treat that as canonical.
-#if defined(QT_LOWER_CASE_VG_INCLUDES)
-#include <vg/openvg.h>
+#if defined(__GNUC__)
+# if (__GNUC__ < 4)
+# error "GCC3 with backported visibility patch is known to miscompile Qt"
+# endif
+__attribute((visibility("default"))) void blah();
+#elif defined(__SUNPRO_CC)
+# if (__SUNPRO_CC < 0x0550)
+# error "SunStudio 8 or later is required for ELF visibility"
+# endif
+__global void blah();
#else
-#include <VG/openvg.h>
+# error "GCC4+ or SunStudio 8+ are required to support ELF visibility"
#endif
-
-int main(int, char **)
-{
- VGint i;
- i = 2;
- vgFlush();
- return 0;
-}
diff --git a/config.tests/unix/reduce_exports/reduce_exports.pro b/config.tests/unix/reduce_exports/reduce_exports.pro
new file mode 100644
index 0000000000..dc8adc2637
--- /dev/null
+++ b/config.tests/unix/reduce_exports/reduce_exports.pro
@@ -0,0 +1,5 @@
+TEMPLATE = lib
+CONFIG += dll hide_symbols
+SOURCES = fvisibility.c
+
+isEmpty(QMAKE_CFLAGS_HIDESYMS): error("Nope")
diff --git a/config.tests/unix/shivavg/shivavg.cpp b/config.tests/unix/reduce_relocs/bsymbolic_functions.c
index 33fb7d226d..36ff410c81 100644
--- a/config.tests/unix/shivavg/shivavg.cpp
+++ b/config.tests/unix/reduce_relocs/bsymbolic_functions.c
@@ -1,9 +1,9 @@
/****************************************************************************
**
-** Copyright (C) 2016 The Qt Company Ltd.
+** Copyright (C) 2016 The Qt Company.
** Contact: https://www.qt.io/licensing/
**
-** This file is part of the config.tests of the Qt Toolkit.
+** This file is part of the configuration of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
@@ -37,13 +37,8 @@
**
****************************************************************************/
-#include <vg/openvg.h>
+#if !(defined(__i386) || defined(__i386__) || defined(__x86_64) || defined(__x86_64__) || defined(__amd64))
+# error Symbolic function binding on this architecture may be broken, disabling it (see QTBUG-36129).
+#endif
-int main(int, char **)
-{
- VGint i;
- i = 2;
- vgFlush();
- vgDestroyContextSH();
- return 0;
-}
+int main() { return 0; }
diff --git a/config.tests/unix/reduce_relocs/reduce_relocs.pro b/config.tests/unix/reduce_relocs/reduce_relocs.pro
new file mode 100644
index 0000000000..2f23465a3f
--- /dev/null
+++ b/config.tests/unix/reduce_relocs/reduce_relocs.pro
@@ -0,0 +1,5 @@
+TEMPLATE = lib
+CONFIG += dll bsymbolic_functions
+SOURCES = bsymbolic_functions.c
+
+isEmpty(QMAKE_LFLAGS_BSYMBOLIC_FUNC): error("Nope")
diff --git a/config.tests/unix/stdint/main.cpp b/config.tests/unix/sctp/sctp.cpp
index f232e8bb85..61c33d5fc5 100644
--- a/config.tests/unix/stdint/main.cpp
+++ b/config.tests/unix/sctp/sctp.cpp
@@ -1,6 +1,6 @@
/****************************************************************************
**
-** Copyright (C) 2016 The Qt Company Ltd.
+** Copyright (C) 2016 Alex Trotsenko <alex1973tr@gmail.com>
** Contact: https://www.qt.io/licensing/
**
** This file is part of the config.tests of the Qt Toolkit.
@@ -37,11 +37,26 @@
**
****************************************************************************/
-/* Check for the presence of stdint.h */
-#include <stdint.h>
+/*
+ Sample program for configure to test for SCTP sockets support
+ on target platforms.
+*/
+
+#include <sys/types.h>
+#include <sys/socket.h>
+#include <netinet/in.h>
+#include <netinet/sctp.h>
int main()
{
+ int fd;
+ sctp_initmsg sctpInitMsg;
+ socklen_t sctpInitMsgSize = sizeof(sctpInitMsg);
+
+ fd = socket(PF_INET, SOCK_STREAM, IPPROTO_SCTP);
+ if (fd == -1 || getsockopt(fd, SOL_SCTP, SCTP_INITMSG, &sctpInitMsg,
+ &sctpInitMsgSize) != 0)
+ return 1;
+
return 0;
}
-
diff --git a/config.tests/unix/sctp/sctp.pro b/config.tests/unix/sctp/sctp.pro
new file mode 100644
index 0000000000..edcc0a444a
--- /dev/null
+++ b/config.tests/unix/sctp/sctp.pro
@@ -0,0 +1,4 @@
+SOURCES = sctp.cpp
+CONFIG -= qt
+QT =
+LIBS += $$QMAKE_LIBS_NETWORK
diff --git a/config.tests/unix/shivavg/shivavg.pro b/config.tests/unix/shivavg/shivavg.pro
deleted file mode 100644
index 39d7bcc78a..0000000000
--- a/config.tests/unix/shivavg/shivavg.pro
+++ /dev/null
@@ -1,11 +0,0 @@
-SOURCES += shivavg.cpp
-
-!isEmpty(QMAKE_INCDIR_OPENVG): INCLUDEPATH += $$QMAKE_INCDIR_OPENVG
-!isEmpty(QMAKE_LIBDIR_OPENVG): LIBS += -L$$QMAKE_LIBDIR_OPENVG
-!isEmpty(QMAKE_LIBS_OPENVG): LIBS += $$QMAKE_LIBS_OPENVG
-
-!isEmpty(QMAKE_INCDIR_OPENGL): INCLUDEPATH += $$QMAKE_INCDIR_OPENGL
-!isEmpty(QMAKE_LIBDIR_OPENGL): LIBS += -L$$QMAKE_LIBDIR_OPENGL
-!isEmpty(QMAKE_LIBS_OPENGL): LIBS += $$QMAKE_LIBS_OPENGL
-
-CONFIG -= qt
diff --git a/config.tests/unix/stdint/stdint.pro b/config.tests/unix/stdint/stdint.pro
deleted file mode 100644
index 9975484889..0000000000
--- a/config.tests/unix/stdint/stdint.pro
+++ /dev/null
@@ -1,3 +0,0 @@
-SOURCES = main.cpp
-CONFIG -= x11 qt
-